[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.ReadSingle

Read a single-size float value

## Declaration

Source position: classesh.inc line 1297

`public function TBinaryObjectReader.ReadSingle: Single; override;`

## Description

ReadSingle reads a single-sized float value from a binary stream.

This method is simply the implementation for a binary stream of the abstract method introduced in TAbstractObjectReader